Calendar occurrences for vehicles within a date range.
Transportial OTMS API (0.9.74)
Welcome to the Transportial API. It's the full API access for the OTMS Transportatial application. Every feature that is available (and more) in the UI is available here. It's our mission to facilitate open, fast, enterprise grade architecture for transportation.
TransportEquipment are the items to be transported as part of a consignment. TransportEquipment can be divided into two sub-types of transportEquipment, depending on the use case and the level of detail. TransportEquipment either consists of items, describing the actual transportEquipment to be transported. Or a transport equipment, which is equipment used to carry the actual transportEquipment to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
Goods are the items to be transported as part of a consignment. Goods can be divided into two sub-types of goods, depending on the use case and the level of detail. Goods either consists of items, describing the actual goods to be transported. Or a transport equipment, which is equipment used to carry the actual goods to be transported. Transport equipment is (usually) a means to an end, not something that needs to be transported on itself, such as pallets.
- Mock serverhttps://docs.transportial.com/_mock/apis/sensor/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/sensor/{id}
- Productionhttps://api.otms.transportial.com/api/sensor/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/sensor/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "sensor": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "platforms": [ … ], "name": "string", "identifiers": [ … ], "externalAttributes": { … }, "placement": "string", "type": "temperature", "constraints": [ … ], "lastValueEvent": { … } } }
- Mock serverhttps://docs.transportial.com/_mock/apis/sensor/{id}
- Test environmenthttps://test.api.otms.transportial.com/api/sensor/{id}
- Productionhttps://api.otms.transportial.com/api/sensor/{id}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X DELETE \
'https://docs.transportial.com/_mock/apis/sensor/{id}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "sensor": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "platforms": [ … ], "name": "string", "identifiers": [ … ], "externalAttributes": { … }, "placement": "string", "type": "temperature", "constraints": [ … ], "lastValueEvent": { … } } }
- Mock serverhttps://docs.transportial.com/_mock/apis/sensor/types
- Test environmenthttps://test.api.otms.transportial.com/api/sensor/types
- Productionhttps://api.otms.transportial.com/api/sensor/types
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
https://docs.transportial.com/_mock/apis/sensor/types \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "sensorTypes": [ "string" ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/sensor/{id}/value/{date}
- Test environmenthttps://test.api.otms.transportial.com/api/sensor/{id}/value/{date}
- Productionhttps://api.otms.transportial.com/api/sensor/{id}/value/{date}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/sensor/{id}/value/{date}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "update": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "type": "generalEvent", "lifeCycle": "requested", "externalAttributes": { … }, "identifiers": [ … ], "dateTime": "2019-08-24T14:15:22Z", "vehicle": {}, "transportEquipment": {}, "stopAction": { … }, "geoReference": { … }, "sensor": {}, "value": { … } } }
- Mock serverhttps://docs.transportial.com/_mock/apis/sensors/{id}/updates/{start}/{end}
- Test environmenthttps://test.api.otms.transportial.com/api/sensors/{id}/updates/{start}/{end}
- Productionhttps://api.otms.transportial.com/api/sensors/{id}/updates/{start}/{end}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/sensors/{id}/updates/{start}/{end}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "updates": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/sensors/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/sensors/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/sensors/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://docs.transportial.com/_mock/apis/sensors/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "sensors": [ { … } ] }
- Mock serverhttps://docs.transportial.com/_mock/apis/sensors/{offset}/{amount}
- Test environmenthttps://test.api.otms.transportial.com/api/sensors/{offset}/{amount}
- Productionhttps://api.otms.transportial.com/api/sensors/{offset}/{amount}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
'https://docs.transportial.com/_mock/apis/sensors/{offset}/{amount}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "sensors": [ { … } ] }
Nonce, a field that is not saved and returns exactly the same value you sent. This ensures you can identify your object that has been updated or created.
Sometimes more than one sensor can be associated with a single entity. This is the case e.g. in cooled trailers that are divided into compartments with different temperatures, where each compartment has its own sensor. The placement member can be used to identify where a sensor is placed. Parties using OpenTripModel to exchange sensor data may wish to agree on a standardized naming, but this is too specific to describe in the standard.
- Mock serverhttps://docs.transportial.com/_mock/apis/sensors
- Test environmenthttps://test.api.otms.transportial.com/api/sensors
- Productionhttps://api.otms.transportial.com/api/sensors
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X PUT \
https://docs.transportial.com/_mock/apis/sensors \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"platforms": [
{}
],
"name": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"placement": "string",
"type": "temperature",
"constraints": [
{}
],
"lastValueEvent": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "generalEvent",
"lifeCycle": "requested",
"externalAttributes": {
"property1": {},
"property2": {}
},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"dateTime": "2019-08-24T14:15:22Z",
"vehicle": {},
"transportEquipment": {},
"stopAction": {
"trip": {
"associationType": "inline",
"entity": {},
"description": "string"
}
},
"geoReference": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "addressGeoReference",
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string",
"hash": "string"
},
"sensor": {},
"value": {
"value": "string",
"unit": "string"
}
}
}'{ "success": true, "message": "string", "code": 0, "totalResults": 0, "sensors": [ { … } ] }
Sometimes more than one sensor can be associated with a single entity. This is the case e.g. in cooled trailers that are divided into compartments with different temperatures, where each compartment has its own sensor. The placement member can be used to identify where a sensor is placed. Parties using OpenTripModel to exchange sensor data may wish to agree on a standardized naming, but this is too specific to describe in the standard.
- Mock serverhttps://docs.transportial.com/_mock/apis/sensor
- Test environmenthttps://test.api.otms.transportial.com/api/sensor
- Productionhttps://api.otms.transportial.com/api/sensor
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X POST \
https://docs.transportial.com/_mock/apis/sensor \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"nonce": "string",
"name": "string",
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"externalAttributes": {
"property1": {},
"property2": {}
},
"placement": "string",
"type": "temperature",
"constraints": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "accessConstraint",
"name": "string",
"enforceability": "enforced",
"description": "string"
}
],
"lastValueEvent": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "generalEvent",
"lifeCycle": "requested",
"externalAttributes": {
"property1": {},
"property2": {}
},
"identifiers": [
{
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"name": "string",
"system": "string",
"value": "string",
"expiredAt": "2019-08-24T14:15:22Z"
}
],
"dateTime": "2019-08-24T14:15:22Z",
"vehicle": {},
"transportEquipment": {},
"stopAction": {
"trip": {
"associationType": "inline",
"entity": {},
"description": "string"
}
},
"geoReference": {
"nonce": "string",
"uuid": "string",
"primaryPlatformId": "string",
"language": {},
"type": "addressGeoReference",
"name": "string",
"street": "string",
"houseNumber": "string",
"houseNumberAddition": "string",
"postalCode": "string",
"city": "string",
"country": "string",
"hash": "string"
},
"sensor": {},
"value": {
"value": "string",
"unit": "string"
}
}
}'{ "success": true, "message": "string", "code": 0, "sensor": { "id": "string", "nonce": "string", "uuid": "string", "primaryPlatformId": "string", "createdAt": "2019-08-24T14:15:22Z", "updatedAt": "2019-08-24T14:15:22Z", "language": {}, "platforms": [ … ], "name": "string", "identifiers": [ … ], "externalAttributes": { … }, "placement": "string", "type": "temperature", "constraints": [ … ], "lastValueEvent": { … } } }
Events - like actions - model dynamic entities that couple various static entities at a certain moment in time. Events are used for either real-time updates, or updates on earlier provided data. Notice that in both event types these are updates on earlier provided data, whereas actions are usually used together with the entities they dynamically couple.